Skip to main content
POST
Send a friend request (201 new, 200 when one to this user is already pending)

Authorizations

Authorization
string
header
required

API key agm_live_...

Path Parameters

id
string
required
Maximum string length: 64
Pattern: ^acc_[0-9a-f]{32}$
Example:

"acc_0190a1b2c3d4e5f60718293a4b5c6d7e"

Body

application/json
user_external_id
string
required
Required string length: 1 - 128
message
string
Maximum string length: 150

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
account_id
string
required
contact_external_id
string
required
direction
enum<string>
required
Available options:
in,
out
message
string | null
required
status
string
required
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$